MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026547Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-11 15:002015-10-23 20:50
Reporterkgv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026547: Configuration - fix compilation errors on VS2015
DescriptionThere are several compilation errors when using vc14:
Error	C2065	'timezone': undeclared identifier	TKSTEP	C:\occt\src\STEPConstruct\STEPConstruct_AP203Context.cxx	
126
Error	C2373	'stat': redefinition; different type modifiers	TKXSBase	C:\occt\src\Interface\Interface_STAT.cxx	
153
Error 'va_start': first argument should not be a reference type
C:\occt\src\OSD\OSD_FileNode.cxx	934

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Filestxt file icon warnings_vc14.txt (176,043 bytes) 2015-08-13 14:51

- Relationships
parent of 0026585closedbugmaster Eliminate compile warnings obtained by building occt with vc14: 'type cast' pointer truncation and 'type cast' truncation 
parent of 0026586closedbugmaster Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides previous local declaration 
parent of 0026584closedbugmaster Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides class member 
parent of 0026581closedbugmaster Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion 
parent of 0026583closedbugmaster Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides function parameter 
child of 0026546closedabv Configuration, genproj.tcl - add support for VS2015 in project file generator 

-  Notes
(0043973)
git (administrator)
2015-08-11 15:06

Branch CR26547 has been created by kgv.

SHA-1: 2f0268040cef9c6294ad93b0a2743149229fc8ed


Detailed log of new commits:

Author: kgv
Date: Tue Aug 11 15:04:49 2015 +0300

    0026547: Configuration - fix compilation errors on VS2015
    
    Interface_STAT.cxx - rename local variable 'stat' to 'myStat' to avoid name collision.
    OSD_FileNode.cxx - pass correct argument to va_start().
    STEPConstruct_AP203Context::DefaultDateAndTime() - use _get_timezone() instead of global variable timezone on msvc.
    Graphic3d_ArrayOfPrimitives::VertexColor() - fix reinterpret_cast() argument.
(0043974)
git (administrator)
2015-08-11 15:40

Branch CR26547 has been updated forcibly by kgv.

SHA-1: c25f887230810c3392b792dc31d4bfc216c52d8b
(0043975)
kgv (developer)
2015-08-11 15:41

Patch is ready for review in branch CR26547.
(0044021)
abv (manager)
2015-08-12 11:04

Reviewed, please test
(0044048)
mkv (tester)
2015-08-12 17:34

Dear BugMaster,
Branch CR26547 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c25f887230810c3392b792dc31d4bfc216c52d8b

Number of compiler warnings:

occt component :
Linux: 16 (15 on master)
Windows: 2 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR26547-master_build_occt_linux/1/warnings17Result/package.-1512947136/ [^]
STEPConstruct_AP203Context.cxx:126, GNU C Compiler 4 (gcc), Priority: Normal
extra tokens at end of #ifdef directive [enabled by default]

There is new additional compilation warning on Windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR26547-master_build_occt_windows_64/1/warnings34Result/ [^]
STEPConstruct_AP203Context.cxx:126, MSBuild, Priority: Normal
unexpected tokens following preprocessor directive - expected a newline

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91411039 / 91021340 [+0.43%]
Total CPU difference: 18063.749999998992 / 17854.22999999889 [+1.17%]
products component :
Total MEMORY difference: 24889481 / 24830175 [+0.24%]
Total CPU difference: 6976.790000000011 / 7004.930000000006 [-0.40%]

Testing on Windows:
occt component :
Total MEMORY difference: 56904635 / 56928102 [-0.04%]
Total CPU difference: 16695.71062309943 / 16686.24136239903 [+0.06%]
products component :


There are no differences in images found by testdiff.
(0044057)
git (administrator)
2015-08-12 22:42

Branch CR26547 has been updated by kgv.

SHA-1: a5d3473e5d0209f9a3ad14d45b9d9d7f6b7dbbee


Detailed log of new commits:

Author: kgv
Date: Wed Aug 12 22:42:27 2015 +0300

    fix misprint in macros

(0044058)
git (administrator)
2015-08-12 22:43

Branch CR26547_1 has been created by kgv.

SHA-1: af91b8eeafcbc602a112aaf725a100ad9616db5c


Detailed log of new commits:

Author: kgv
Date: Wed Aug 12 22:43:06 2015 +0300

    0026547: Configuration - fix compilation errors on VS2015
    
    Interface_STAT.cxx - rename local variable 'stat' to 'myStat' to avoid name collision.
    OSD_FileNode.cxx - pass correct argument to va_start().
    STEPConstruct_AP203Context::DefaultDateAndTime() - use _get_timezone() instead of global variable timezone on msvc.
    Graphic3d_ArrayOfPrimitives::VertexColor() - fix reinterpret_cast() argument.
(0044059)
kgv (developer)
2015-08-12 22:44

Please check compilation of updated patch in branch CR26547_1.
Retesting is not needed.
(0044073)
git (administrator)
2015-08-13 13:01

Branch CR26547_1 has been updated by mkv.

SHA-1: 137a81a02cfab3403a30ca4648df95e68bc8f5ca


Detailed log of new commits:

Author: mkv
Date: Thu Aug 13 13:01:39 2015 +0300

    Small correction: OCC26481-linesarc.brep is equal to bug26296_linesarc.brep

(0044074)
mkv (tester)
2015-08-13 13:08

Dear BugMaster,
Branch CR26547_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: af91b8eeafcbc602a112aaf725a100ad9616db5c

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)
(0044110)
git (administrator)
2015-08-14 10:51

Branch CR26547_1 has been deleted by inv.

SHA-1: 137a81a02cfab3403a30ca4648df95e68bc8f5ca
(0044111)
git (administrator)
2015-08-14 10:51

Branch CR26547 has been deleted by inv.

SHA-1: a5d3473e5d0209f9a3ad14d45b9d9d7f6b7dbbee

- Related Changesets
occt: master 9bfa28a7
Timestamp: 2015-08-13 10:10:49
Author: kgv
Committer: ski
Details ] Diff ]
0026547: Configuration - fix compilation errors on VS2015

Interface_STAT.cxx - rename local variable 'stat' to 'myStat' to avoid name collision.
OSD_FileNode.cxx - pass correct argument to va_start().
STEPConstruct_AP203Context::DefaultDateAndTime() - use _get_timezone() instead of global variable timezone on msvc.
Graphic3d_ArrayOfPrimitives::VertexColor() - fix reinterpret_cast() argument.

Small correction: OCC26481-linesarc.brep is equal to bug26296_linesarc.brep
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.lxx Diff ] File ]
mod - src/Interface/Interface_STAT.cxx Diff ] File ]
mod - src/OSD/OSD_FileNode.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_AP203Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-11 15:00 kgv New Issue
2015-08-11 15:00 kgv Assigned To => kgv
2015-08-11 15:06 git Note Added: 0043973
2015-08-11 15:40 git Note Added: 0043974
2015-08-11 15:41 kgv Note Added: 0043975
2015-08-11 15:41 kgv Assigned To kgv => abv
2015-08-11 15:41 kgv Status new => resolved
2015-08-12 11:04 abv Note Added: 0044021
2015-08-12 11:04 abv Assigned To abv => bugmaster
2015-08-12 11:04 abv Status resolved => reviewed
2015-08-12 11:40 mkv Assigned To bugmaster => mkv
2015-08-12 17:34 mkv Note Added: 0044048
2015-08-12 17:34 mkv Assigned To mkv => kgv
2015-08-12 17:34 mkv Status reviewed => assigned
2015-08-12 17:34 mkv Test case number => Not needed
2015-08-12 22:42 git Note Added: 0044057
2015-08-12 22:43 git Note Added: 0044058
2015-08-12 22:44 kgv Note Added: 0044059
2015-08-12 22:44 kgv Assigned To kgv => bugmaster
2015-08-12 22:44 kgv Status assigned => resolved
2015-08-12 22:44 kgv Status resolved => reviewed
2015-08-13 11:27 mkv Assigned To bugmaster => mkv
2015-08-13 13:01 git Note Added: 0044073
2015-08-13 13:08 mkv Note Added: 0044074
2015-08-13 13:08 mkv Assigned To mkv => bugmaster
2015-08-13 13:08 mkv Status reviewed => tested
2015-08-13 14:51 kgv File Added: warnings_vc14.txt
2015-08-14 10:26 ski Changeset attached => occt master 9bfa28a7
2015-08-14 10:26 ski Assigned To bugmaster => ski
2015-08-14 10:26 ski Status tested => verified
2015-08-14 10:26 ski Resolution open => fixed
2015-08-14 10:51 git Note Added: 0044110
2015-08-14 10:51 git Note Added: 0044111
2015-08-25 09:31 kgv Relationship added parent of 0026585
2015-08-25 09:31 kgv Relationship added parent of 0026586
2015-08-25 09:31 kgv Relationship added parent of 0026584
2015-08-25 09:31 kgv Relationship added parent of 0026581
2015-08-25 09:31 kgv Relationship added parent of 0026583
2015-08-25 09:33 kgv Relationship added child of 0026546
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker